#include "delay.h"

void delay_init(void)	 
{
	SysTick_Config(SystemCoreClock / 1000);
}								    

		   
void delay_us(uint32_t n)
{		
	uint32_t ticks;
    uint32_t told;
    uint32_t tnow;
    uint32_t tcnt = 0;
    uint32_t reload;
       
	reload = SysTick->LOAD;                
    ticks = n * (SystemCoreClock / 1000000);	 /* ҪĽ */  
    
    tcnt = 0;
    told = SysTick->VAL;             /* սʱļֵ */

    while (1)
    {
        tnow = SysTick->VAL;    
        if (tnow != told)
        {    
            /* SYSTICKһݼļ */    
            if (tnow < told)
            {
                tcnt += told - tnow;    
            }
            /* װصݼ */
            else
            {
                tcnt += reload - tnow + told;    
            }        
            told = tnow;

            /* ʱ䳬/Ҫӳٵʱ,˳ */
            if (tcnt >= ticks)
            {
            	break;
            }
        }  
    } 
}

//עMSķΧ
//SysTick->LOADΪ24λĴʱΪ
//nms<=0xffffff*8*1000/SYSCLK
//SYSCLKλMHz,nmλΪms
//48M,nms<=2796
void delay_ms(u16 nms)
{
	for(int i = 0 ;i <nms; i ++)
	{	
		delay_us(1000);
	}
} 
