#include "stm32f10x.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "delay.h"
#include "usart.h"
#include "stm32f10x_it.h"
#include "PB03F.h"


/*
 * Copyright (c) 2020-2021 AIThinker.yangbin All rights reserved.
 *
 * ֻSTM32ԽPB-03Fģdemoο֤ȶ,
 * ̲οֲ߽Ϊhttps://blog.csdn.net/it_boy__/article/details/71975797
 * սȨаſɿƼ޹˾С
 *
 * author     Rita
 */
 
/*	˵
 * UART2  PA2(Tx)   PA3(Rx)  -->    PB-03F   RXD/TXD
 * UART3  PB10(Tx)  PB11(Rx) -->    log USBתTTL RXD/TXD
 */
 
int main(void){
	delay_init();
	uart3_Init(115200);	//log serial
	PB03F_Init(115200);	//command serial
	LED_Init();
	
	PB03F_transmission_exit();
	PB03F_Set_Slave_Broadcast();
	while(1){
		if(strstr(PB03F_Fram_Record_Struct .Data_RX_BUF,"AA"))	//get command
			PB03F_Fram_Record_Struct.messageProcess();			//proccess command
		delay_ms(1000);
	}
}
